package oop4_dat4_ss;

import java.awt.*;

/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class SwitchGUI extends Frame
{
    // GUI Elemente erzeugen (Zugriffsmodifizierer ist je "Package"!)
    Label state = new Label("The Switch is off.");
    Button on = new Button("On");
    Button off = new Button("Off");
    Button close = new Button("Close");

    public SwitchGUI()
    {
        // Frame initialisieren
        setTitle("Switch");
        setSize(150, 150);
        setResizable(false);

        // LayoutManager setzen
        setLayout(new BorderLayout());

        // GUI zusammensetzen
        add(on, BorderLayout.NORTH);
        add(state, BorderLayout.CENTER);
        add(off, BorderLayout.SOUTH);
        add(close, BorderLayout.EAST);

        // Listener erzeugen und registrieren
        ButtonListener bl = new ButtonListener(this);
        on.addActionListener(bl);
        off.addActionListener(bl);
        close.addActionListener(bl);

        //
        addWindowListener(new CloseListener());

        // Frame sichtbar machen
        setVisible(true);

    }
}
